The extension integrates your Magento 2 store with the **[Stripe](https://stripe.com/)** payment service.

## Demo videos

1. [Capture and Refund](https://www.youtube.com/watch?v=kBaiBnPNmEo)
2. [Preauthorization and Capture](https://www.youtube.com/watch?v=BnBlsafqPsM)
3. [Preauthorization and Voiding](https://www.youtube.com/watch?v=0kxVBCmhpHU)
4. [Review and Accept / Deny](https://www.youtube.com/watch?v=9W4FjZN8uKo)
5. [Capture from a Stripe account](https://www.youtube.com/watch?v=MjaOJUM9ddU)
6. [Refund from a Stripe account](https://www.youtube.com/watch?v=dUUzgnvKYCg)
7. [Save and reuse bank cards](https://www.youtube.com/watch?v=OlL6GndwOX4)

## Licensing
It is a paid extension, not free.  
You can use it for free for the testing puproses only.  
Please read the [testing policy](https://mage2.pro/t/topic/2590) before installation.

## How to buy
You can buy it with PayPal [here](https://mage2.pro/t/980).

## Installation
### Free installation service
If you have already bought the extension, then its installation is a **free service** for you. Just provide [me](https://mage2.pro/users/dmitry_fedyuk) an SSH access to your store's server. You can use [my public SSH key](https://mage2.pro/t/2092) for it.

### Self-installation 
Follow the generic [installation instruction](https://mage2.pro/t/263). 

## Support
- [The extension's **forum** branch](https://mage2.pro/c/extensions/stripe).
- [Where and how to report a Mage2.PRO extension's issue?](https://mage2.pro/t/2034)
- I also provide a **[generic Magento 2 support](https://mage2.pro/t/topic/755)** and [Magento 2 installation service](https://mage2.pro/t/748).

## Want to be notified about the extension's updates?
- [Subscribe](https://mage2.pro/t/2540) to the extension's [forum branch](https://mage2.pro/c/extensions/stripe).
- Subscribe to my [Twitter](https://twitter.com/mage2_pro) and [YouTube](https://www.youtube.com/channel/UCvlDAZuj01_b92pzRi69LeQ) channels.

## Need a new feature?
I provide the [**customization service**](https://mage2.pro/t/2020) for my payment extensions.

## Need another payment extension for Magento 2?

- «[**2Checkout**](https://mage2.pro/c/extensions/2checkout)» payment extension
- «[**歐付寶 allPay**](https://mage2.pro/c/extensions/allpay)» payment extension (Taiwan)
- «[**Checkout.com**](https://mage2.pro/c/extensions/checkout-com)» payment extension
- «[**Ginger Payments**](https://mage2.pro/c/extensions/ginger-payments)» extension (the Netherlands, Belgium).
- «[**iyzico**](https://mage2.pro/c/extensions/iyzico)» payment extension (Turkey)
- «[**Kassa Compleet**](https://mage2.pro/c/extensions/kassa-compleet)» payment extension by ING Bank (the Netherlands).
- «[**Klarna**](https://mage2.pro/c/extensions/klarna)» payment extension (Austria, Denmark, Finland, Germany, Norway, Sweden)
- «[**Omise**](https://mage2.pro/c/extensions/omise)» payment extension (Thailand, Japan)
- «[**Paymill**](https://mage2.pro/c/extensions/paymill)» payment extension (the European Union)
- «[**SecurePay**](https://mage2.pro/c/extensions/securepay)» payment extension (Australia)
- «[**Spryng**](https://mage2.pro/c/extensions/spryng)» payment extension (the European Union)
- «[**Square**](https://mage2.pro/c/extensions/square)» payment extension (USA, Canada)
- «[**Stripe**](https://mage2.pro/c/extensions/stripe)» payment extension

## See also my other Magento 2 extensions:

- «[**Price Format**](https://mage2.pro/c/extensions/price-format)» (set a custom display format for the prices and other currency values: discounts, taxes, sales amounts).
- «[**Sales Documents Numeration**](https://mage2.pro/t/512)» (use a custom numeration for the sales documents: orders, invoices, shipments, and credit memos).
- «[**Login with Amazon**](https://mage2.pro/c/extensions/amazon-login)» (a single sign-on extension). 
- «[**Backend Login with Google Account**](https://mage2.pro/t/46)» (a single sign-on extension for the Magento 2 backend). 
- «[**Facebook Login**](https://mage2.pro/c/extensions/facebook-login)» (a single sign-on extension).
- «[**Blackbaud NetCommunity**](https://mage2.pro/c/extensions/blackbaud-netcommunity)» (an  integration with an online fundraising software).  
- «[**Markdown Editor**](https://mage2.pro/t/160)» (an alternative content editor for the Magento 2 backend).

## Need a custom payment extension?
I provide a [custom payment gateway integration service](https://mage2.pro/t/917).

## Want to get the full rights for my extension?
It is possible: the price depends on a extension and starts from $5.000.  
You will get 2 years of support, updates, and free installation service for all your clients.

## Screenshots
### 1. Frontend. A simple payment form without saved bank cards
![](https://mage2.pro/uploads/default/original/1X/dfc4f33ba61824ad005beb2a6c3ae77da7cb7fa9.png)
### 2. Frontend. Using a saved bank card
![](https://mage2.pro/uploads/default/original/2X/1/174398862837c092d3742388377cdc9c7edff92b.png)
### 3. Frontend. Using a new bank card
![](https://mage2.pro/uploads/default/original/2X/8/8429899325e38f4a4926ae6f3cfd333d4247a1e7.png)
### 4. Backend. A payment's imformation
![](https://mage2.pro/uploads/default/original/2X/b/be3f4d12792c8d00f9a27f2f83b6eb12537602ef.png)
### 5. Backend. Choosing the payments currency
![](https://mage2.pro/uploads/default/original/2X/a/a8ae59e005b34a2ffdb41c7f85acb4bd5fdf660d.png)
### 6. Backend. The extension's settings
![](https://mage2.pro/uploads/default/original/1X/abc830769aaa9251fe49db2ba0bbf20dc1a3ac77.png)
### 7. Backend. A transaction's details
![](https://mage2.pro/uploads/default/original/2X/9/9ef3c6c7dfad87620cb310e97a4c004ad4cd81ed.png)
